Skip to content
POST/{organizationId}/{mandateId}/finance/receipts/complete

Complete draft receipts

Completes a list of draft receipts for a given mandate or all accessible mandates

Required permissions:

  • mandate.read

  • receipt.edit

Path Parameters

organizationIdstringrequired
mandateIdstringrequired

Request Body required

Content-Type: application/json

searchTermstringoptional

maxItems: 20

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/finance/receipts/complete
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/finance/receipts/complete' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "searchTerm": "string",
  "tags": [
    "string"
  ],
  "range": {
    "from": {
      "year": 2000,
      "monthIndex": 1
    },
    "to": {
      "year": 2000,
      "monthIndex": 1
    }
  }
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

Valueany

Response

200
"string"

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}